/*#########################################################################
#                                                                         #
#   Simple script for testing the scriptable service browser              #
#   by creating a simple static browser with some cool radio              #
#   streams. URLs shamelessly stolen from http://media.hiof.no/scripts/stream_details.php.               #
#                                                                         #
#   Copyright     #
# (C)  2008 Eirik Johansen Bjørgan  <eirikjbj@gmail.com> #
#   (C) 2007, 2008 Nikolaj Hald Nielsen  <nhnFreespirit@gmail.com>        #
#   (C)       2008 Peter ZHOU <peterzhoulei@gmail.com>                    #
#   (C)       2008 Mark Kretschmann <kretschmann@kde.org>                 #
#                                                                         #
#   This program is free software; you can redistribute it and/or modify  #
#   it under the terms of the GNU General Public License as published by  #
#   the Free Software Foundation; either version 2 of the License, or     #
#   (at your option) any later version.                                   #
#                                                                         #
#   This program is distributed in the hope that it will be useful,       #
#   but WITHOUT ANY WARRANTY; without even the implied warranty of        #
#   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         #
#   GNU General Public License for more details.                          #
#                                                                         #
#   You should have received a copy of the GNU General Public License     #
#   along with this program; if not, write to the                         #
#   Free Software Foundation, Inc.,                                       #
#   51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.         #
##########################################################################*/
function Station( name, url, description, kanal )
{
    this.name = name;
    this.url = url;
    this.description = description;
    this.kanal = kanal;
}


categories = new Object;


categories["NRK"]= new Array (
    new Station( "P1", "http://radio.hiof.no/nrk-p1-172.ogg", "P1 - 172kbps OGG<br>Nettsted: http://www.nrk.no/p1", "NRK P1"  ),
    new Station( "P2", "http://radio.hiof.no/nrk-p2-172.ogg", "P2 - 172kbps OGG<br>Nettsted: http://www.nrk.no/p2", "NRK P2" ),
    new Station( "P3", "http://radio.hiof.no/nrk-petre-172.ogg", "P3 - 172kbps OGG<br>Nettsted: http://www.nrk.no/p3", "NRK P3" ),
    new Station( "Alltid Nyheter", "http://radio.hiof.no/streams/m3u/nrk-alltid-nyheter-172.ogg", "Alltid Nyheter - 172kbps OGG<br>Nettsted: http://www.nrk.no/alltid_nyheter/", "NRK Alltid Nyheter" ),
    new Station( "mP3", "http://radio.hiof.no/nrk-mpetre-172.ogg", "mP3 - 172kbps OGG<br>Nettsted: http://www.nrk.no/mptre", "NRK mP3" ),
    new Station( "Jazz", "http://radio.hiof.no/nrk-jazz-172.ogg", "Jazz - 172kbps OGG<br>Nettsted: http://www.nrk.no/jazz", "NRK Jazz" ),
    new Station( "Klassisk", "http://radio.hiof.no/nrk-alltid-klassisk-172.ogg", "Klassisk - 172kbps OGG<br>Nettsted: http://www.nrk.no/klassisk", "NRK Klassisk" ),
    new Station( "P3 Urørt", "http://radio.hiof.no/nrk-urort-172.ogg", "P3 Urørt - 172kbps OGG<br>Nettsted: http://www.nrk.no/urort/", "NRK P3 Urørt" ),
    new Station( "Sport", "http://radio.hiof.no/nrk-sport-172.ogg", "Sport - 172kbps OGG<br>Nettsted: http://www.nrksport.no", "NRK Sport" ),
    new Station( "Gull", "http://radio.hiof.no/nrk-gull-172.ogg", "Gull - 172kbps OGG<br>Nettsted: http://www.nrk.no/gull", "NRK Gull" ),
    new Station( "Super", "http://radio.hiof.no/nrk-super-172.ogg", "Super - 172kbps OGG<br>Nettsted: http://nrksuper.no/superbarn/radio.html", "NRK Super" ),
    new Station( "Sámi Radio", "http://radio.hiof.no/nrk-sami-radio-172.ogg", "Sámi Radio - 172kbps OGG<br>Nettsted: http://www.nrk.no/sami", "NRK Sámi Radio" ),
    new Station("Folkemusikk","http://radio.hiof.no/nrk-alltid-folkemusikk-172.ogg","Folkemusikk - 172kbps OGG<br>Nettsted: http://www.nrk.no/kanal/nrk_alltid_folkemusikk/","NRK Folkemusikk"),
    new Station("Alltid RR","http://radioresepsjonen.nrkp3.no:8000/","Alltid RR - 80kbps MP3<br>Nettsted: http://nrkp3.no/radioresepsjonen/","NRK Alltid RR")
);

categories["P4"]= new Array(
  new Station("P4","http://www.p4.no/lyttesenter/p4_norge.m3u","P4 - 192kbps MP3<br>Nettsted: http://www.p4.no/","P4 Lyden Av Norge"),
  new Station("Bandit","http://www.p4.no/lyttesenter/p4_bandit.m3u","Bandit - 192kbps MP3<br>Nettsted: http://www.bandit.no","P4 Bandit"),
  new Station("Hits","http://www.p4.no/lyttesenter/p4_hits.m3u","Hits - 192kbps MP3<br>Nettsted: http://www.p4.no/","P4 Hits"),
  new Station("Ballade","http://www.p4.no/lyttesenter/p4_ballade.m3u","Ballade - 192kbps MP3<br>Nettsted: http://www.p4.no/","P4 Ballade"),
  new Station("Jukebox","http://www.p4.no/lyttesenter/p4_jukebox.m3u","Jukebox - 192kbps MP3<br>Nettsted: http://www.p4.no/","P4 Jukebox"),
  new Station("RadioRetro","http://www.p4.no/lyttesenter/p4_radioretro.m3u","RadioRetro - 192kbps MP3<br>Nettsted: http://www.p4.no/","P4 RadioRetro")
);

categories["Radio1"]= new Array(
  new Station("Oslo","mms://213.158.249.77/R1O-192","Oslo - 192kbps WMA<br>Nettsted: http://www.radio1.no/?by=oslo"," Radio1 Oslo"),
  new Station("Trondheim","mms://213.158.249.77/R1T-192","Trondheim - 192kbps WMA<br>Nettsted: http://www.radio1.no/?by=trondheim","Radio1 Trondheim"),
  new Station("Bergen","mms://213.158.249.77/R1B-192","Bergen - 192kbps WMA<br>Nettsted: http://www.radio1.no/?by=bergen","Radio1 Bergen"),
  new Station("Stavanger","mms://213.158.249.77/R1S-192","Stavanger - 192kbps WMA<br>Nettsted: http://www.radio1.no/?by=stavanger","Radio1 Stavanger")
);

categories["Diverse"]= new Array(
  new Station("Radio Norge","http://213.158.249.77:8000/radionorge.m3u","Radio Norge - 128kbps MP3<br>Nettsted: http://www.radionorge.fm/","Radio Norge"),
  new Station("The Voice","http://85.196.91.162/VRADIO-96","The Voice - 96kbps WMA<br>Nettsted: http://www.thevoicetv.no/radio.jsp?menuId=13936","The Voice")
);

categories["Distriktradio - Rogaland"]= new Array(
  new Station("Radio Haugaland","mms://radioh.no:9090","Radio Haugaland - 196kbps WMA<br>Nettsted: http://radioh.no/","Radio Haugaland"),
  new Station("Radio102","http://downstream.radio.raw.no:8000/radio102.m3u","Radio103 - 128kbps MP3<br>Nettsted: http://www.radio102.no/","Radio102")
);

function NNR()
{
    Amarok.debug( "creating Norsk Nettradio service..." );
    ScriptableServiceScript.call( this, "Norsk Nettradio", 2, "Liste over Norske nettradiokanaler", "Liste over Norske nettradiokanaler", false );
    Amarok.debug( "done." );
}

function onPopulating( level, callbackData, filter )
{
    if ( level == 1 ) 
    {
        for( att in categories )
        {
            Amarok.debug ("att: " + att + ", " + categories[att].name)
           
            item = Amarok.StreamItem;
	    item.level = 1;
	    item.callbackData = att;
	    item.itemName = att;
	    item.playableUrl = "";
	    item.infoHtml = "";
	    script.insertItem( item );

        }
        script.donePopulating();

    }
    else if ( level == 0 ) 
    {
        Amarok.debug( " Populating station level..." );
	//add the station streams as leaf nodes

        var stationArray = categories[callbackData];

	for ( i = 0; i < stationArray.length; i++ )
	{
		item = Amarok.StreamItem;
		item.level = 0;
		item.callbackData = "";
		item.itemName = stationArray[i].name;
		item.playableUrl = stationArray[i].url;
		item.infoHtml = stationArray[i].description;
                item.artist = stationArray[i].kanal;
		script.insertItem( item );
	}
	script.donePopulating();
    }
}

script = new NNR();
script.populate.connect( onPopulating );
